<h2 mat-dialog-title>{{ data.title }}</h2>
<mat-dialog-content>
  <p>{{ data.message }}</p>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-raised-button color="warn" (click)="onYesClick()">Delete</button>
  <button mat-button (click)="onNoClick()">Cancel</button>
</mat-dialog-actions>